Changes/archive/2012

Материал из ALT Linux Wiki
Перейти к: навигация, поиск


2012[править]

Декабрь[править]

На сборке rpm-4.0.4-alt100.58 под i586 текущим компилятором вылезла серьёзная бага, которая ранее оказывалась замаскирована; исправление имени at@ в течение суток попало в сизиф как rpm-4.0.4-alt100.59. Если кто успел поставить alt100.58, может понадобиться вытащить и установить обновление вручную. Типичным признаком при работе apt-get является:

error: failed dependencies:
        libaudit.so.1 >= set:jhK9a5Z0 is needed by login-0.60-alt33

Ноябрь[править]

Сообщается, что при использовании etcnet с ifplugd требуется указание CONFIG_WIRELESS=no вдобавок к USE_IFPLUGD=yes; см. тж. altbug #27797.

Октябрь[править]

Использующим системы на сизифе с корнем (/boot) на md raid1 и загрузчиком grub2-pc стоит обратить внимание на это сообщение. NB: с grub2-pc-2.00-alt1 конкретно в этом случае гарантированно будет проблема (upstream bug), исправление в 2.00-alt2. См. тж. процедуру восстановления при необходимости.

Сентябрь[править]

В Сизиф отправлен очередной свежий буст, на этот раз 1.51.0; в devel@ -- подробные рекомендации по переводу пакетов на него. Возможно, также пригодится предыдущий тред. PS: теперь все, кто используют boost/thread/mutex.hpp или Boost.Pool, должны компоноваться с -lboost_thread -lboost_system.

Август[править]

"Это обновление пакета pam, собранного с новой версией glibc.
Можно сказать, традиционные грабли в новой редакции.
Подробности см. в /var/log/auth/secure.
Рекомендуется service crond restart.
"

Собирающим дистрибутивы из сизифа стоит знать, что у modprobe теперь нет опции --list, ранее помеченной как deprecated; соответствующее изменение внесено в propagator-20101130-alt18.

Май[править]

В связи с враждебной политикой апстрима systemd в отношении людей, не являющихся пользователями такового, при нежелании переходить с SysV init пользователям NetworkManager и/или udisks2 во избежание излишних заявлений «Not authorized» рекомендуется установить (rpm -Uvh --oldpackage) из архива сизифа и захолдить используемое из:


В Сизиф попал udev-176, которому обязательно нужен devtmpfs в ядре, без этого ни initrd, ни система не запустятся. В ядра ovz-el и std-def необходимые изменения внесены. Проверить свои ядра можно командой

# grep -i config_devtmpfs /boot/config-*


В Сизиф приехало libcairo-1.12.2, после обновления до него перестали запускаться XFCE/LXDE через удалённое подключение по NX (RX@Etersoft). Предположительно, проблема в Иксах 6.9, которые используются в nx. Пока помогает даунгрейд до 1.10.2. Дополнительные сведения приветствуются. Портирование NX на новые Иксы в процессе.

Апрель[править]

При проблемах с automake_1.11 см. тж. данное письмо.

Выделены в отдельную компоненту пакеты *-debuginfo[1]; для использования теперь следует подключить их в явном виде — например, так:
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic debuginfo
Изменена инфраструктура сборки biarch-оверлея для x86_64 (теперь создание i586-пакетов для предоставления 32-битного ABI происходит синхронно при сборке пакетов). Предупреждают, что arepo-репозитории x86_32 и x86_64-i586 несовместимы (одноименные пакеты отличаются по составу и зависимостям), автоматическое обновление со старого на новый не предусмотрено. Тем, кто имел неосторожностьсмелость установить пакеты из arepo-репозитория x86_32, перед подключением arepo-репозитория x86_64-i586 настоятельно рекомендуется удалить все пакеты, имя которых начинается на "i586-"; поскольку новый оверлей несёт больше пакетов, также рекомендуется добавить APT::Cache-Limit 67108864; в /etc/apt/apt.conf. Типичный sources-list для желающих использовать arepo теперь выглядит так:
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
rpm [alt] ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64-i586 classic

Март[править]

Едет xorg-1.12, на новых intel может решать вопросы[2], с nouveau у cairo они заведомо возникнут (может потребоваться откат версии); fglrx опять задерживается. YHBW.

Майнтейнер java предупреждает о готовящемся переезде с maven2 на maven3, что чревато временными крупными разломами по части собираемости java-пакетов.

Январь[править]

Обновление vsftpd до 2.3.5 принесло невозможность пускать в домашние каталоги пользователей при заведомо небезопасной конфигурации, которая стала неподдерживаемой (ошибка 500 OOPS: vsftpd: refusing to run with writable root inside chroot()). См. здесь и здесь. Это вызывает проблемы ftp-доступа на shared-хостинге. Исправление — запретить пользователю запись в домашний каталог и впредь обращать внимание на предупреждения в конфигурационных файлах и changelog.

Браузер Chromium на новых ядрах (предположительно начиная с 3.1.5) стал зависать при открытии нескольких вкладок. В качестве временного решения можно закомментировать

$ grep sec /etc/chromium-browser/default 
#CHROMIUM_FLAGS="--enable-seccomp-sandbox"

Заведена бага 25407.

  1. в т.ч. ради уменьшения размеров индексов
  2. проверено с 3.3.0-std-ng